<script setup lang="ts">
import { useMenuStore } from '@/stores/menu'

import Card from '@/components/Card.vue';
import Menu from '@/components/Menus/Menu.vue';
import CheckIcon from '@/components/Icons/CheckIcon.vue'

const menuStore = useMenuStore()

const languages = [
  {
    name: 'English',
    code: 'en_us'
  },
  {
    name: 'Français',
    code: 'fr_fr'
  }
]
</script>

<template>
  <Menu id="lang">
    <Card color="var(--complementary-gray-2)" width="auto" height="auto">
      <div class="list">
        <a v-for="lang in languages" :class="$i18n.locale === lang.code ? 'active' : ''"
          @click="() => { $i18n.locale = lang.code; menuStore.hide() }" href="#">{{
              lang.name
          }}
          <CheckIcon v-show="$i18n.locale === lang.code" />
        </a>
      </div>
    </Card>
  </Menu>
</template>

<style scoped>
.list {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.list a {
  display: flex;
  gap: 8px;

  align-items: center;

  opacity: 50%;
}

.list .active {
  opacity: 100%;
}
</style>